import { EventEmitter } from '../../stencil.core';
export declare class TableColumn {
    glTableColumnChanged: EventEmitter;
    attribute: string;
    cellClassAttribute: string;
    component: string;
    componentProps: any;
    csv: boolean;
    format: string | any;
    label: string;
    pdf: boolean;
    sortable: boolean;
    visible: boolean;
    componentWillLoad(): void;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    componentDidUnload(): void;
    updateFormat(): void;
    change(): void;
}
